[loggers]
keys=root,test, production

[handlers]
keys=rotatingFileHandler,testHandler,consoleHandler, productionHandler

[formatters]
keys=simpleFmt

[logger_root]
level=DEBUG
handlers=rotatingFileHandler

[logger_test]
level=DEBUG
handlers=testHandler
qualname=test
propagate=0

[logger_production]
level=DEBUG
handlers=productionHandler
qualname=production
propagate=0

[handler_rotatingFileHandler]
class=handlers.RotatingFileHandler
level=INFO
formatter=simpleFmt
args=("./default_log.log", "a", 20*1024*1024, 10, 'utf-8')

[handler_testHandler]
class=handlers.RotatingFileHandler
level=INFO
formatter=simpleFmt
args=("./test_log.log", "a", 20*1024*1024, 10, 'utf-8')

[handler_consoleHandler]
class=StreamHandler
level=DEBUG
formatter=simpleFmt
args=(sys.stdout,)

[handler_productionHandler]
class=handlers.RotatingFileHandler
level=INFO
formatter=simpleFmt
args=("./log.log", "a", 20*1024*1024, 10, 'utf-8')


[formatter_simpleFmt]
format=%(asctime)s - %(name)s - %(levelname)s - %(message)s - [%(filename)s:%(lineno)s]

